> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wizcommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get order

> Get order



## OpenAPI

````yaml get /v1/orders/{id}
openapi: 3.0.0
info:
  description: Open API's for WizCommerce API's
  title: WizCommerce Open API's
  termsOfService: https://wizcommerce.com/terms/
  contact:
    name: Tech Support
    url: https://help.wizcommerce.com/
    email: tech@wizcommerce.com
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  version: '1.0'
servers:
  - url: https://api.wizcommerce.com
    description: Production BaseURL
  - url: https://api-staging.sourcerer.tech
    description: Staging BaseURL
security: []
paths:
  /v1/orders/{id}:
    get:
      tags:
        - Orders
      summary: Get order
      description: Get order
      parameters:
        - x-order: '1'
          name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/dtos.SuccessResponse'
                  - type: object
                    properties:
                      data:
                        $ref: '#/components/schemas/dtos.OrderResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HttpError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HttpError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HttpError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HttpError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HttpError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    dtos.SuccessResponse:
      type: object
      properties:
        data:
          x-order: '1'
    dtos.OrderResponse:
      type: object
      properties:
        id:
          description: UUID
          type: string
          x-order: '1'
          example: 01f5d171-d3e3-4b2b-bd57-0727194b5bed
        reference_id:
          type: string
          x-order: '2'
          example: '1234567890'
        display_id:
          type: string
          x-order: '3'
          example: WC_1234567890
        customer_id:
          type: string
          x-order: '4'
          example: '1234567890'
        status:
          type: string
          x-order: '5'
          example: active
        amount:
          type: number
          x-order: '6'
          example: 100
        amount_paid:
          type: number
          x-order: '7'
          example: 100
        shipment_date:
          type: string
          x-order: '8'
          example: '2021-01-01T00:00:00Z'
        due_date:
          type: string
          x-order: '9'
          example: '2021-01-01T00:00:00Z'
        payment_status:
          type: string
          x-order: '10'
          example: PAID
        fulfillment_status:
          type: string
          x-order: '11'
          example: >-
            PARTIALLY_DELIVERED UNFULFILLED PARTIALLY_FULFILLED FULFILLED
            IN_PROGRESS DELIVERED
        payment_method_id:
          type: string
          x-order: '12'
          example: '1234567890'
        payment_method:
          type: string
          x-order: '13'
          example: payment_method
        payment_term:
          type: string
          x-order: '14'
          example: payment_term
        shipping_method:
          type: string
          x-order: '15'
          example: shipping_method
        freight_term:
          type: string
          x-order: '16'
          example: freight_term
        internal_note:
          type: string
          x-order: '17'
          example: internal_note
        customer_note:
          type: string
          x-order: '18'
          example: customer_note
        source:
          type: string
          x-order: '19'
          example: cart
        price_list_id:
          type: string
          x-order: '20'
          example: '1234567890'
        line_items:
          type: array
          items:
            $ref: '#/components/schemas/dtos.OrderLineItemsResponse'
          x-order: '21'
        billing_address:
          allOf:
            - $ref: '#/components/schemas/dtos.OrderAddressResponse'
          x-order: '22'
        shipping_address:
          allOf:
            - $ref: '#/components/schemas/dtos.OrderAddressResponse'
          x-order: '23'
        primary_contact:
          allOf:
            - $ref: '#/components/schemas/dtos.OrderContactResponse'
          x-order: '24'
        charges:
          type: array
          items:
            $ref: '#/components/schemas/dtos.OrderChargesResponse'
          x-order: '25'
        container_info:
          allOf:
            - $ref: '#/components/schemas/dtos.ContainerInfoResponse'
          x-order: '26'
        customer_consent:
          allOf:
            - $ref: '#/components/schemas/dtos.CustomerConsentResponse'
          x-order: '27'
        attributes:
          type: array
          items:
            $ref: '#/components/schemas/attribute.AttributeValueResponse'
          x-order: '28'
        po_number:
          type: string
          x-order: '29'
        created_at:
          type: string
          x-order: '30'
          example: '2021-01-01T00:00:00Z'
        updated_at:
          type: string
          x-order: '31'
          example: '2021-01-01T00:00:00Z'
        card:
          $ref: '#/components/schemas/dtos.PaymentCardResponse'
    errors.HttpError:
      type: object
      properties:
        code:
          type: string
          x-order: '1'
        message:
          type: string
          x-order: '2'
        details:
          type: array
          items:
            $ref: '#/components/schemas/errors.HttpErrorDetails'
          x-order: '3'
    dtos.OrderLineItemsResponse:
      type: object
      properties:
        product_id:
          type: string
          x-order: '1'
          example: '1234567890'
        quantity:
          type: integer
          x-order: '2'
          example: 10
        sku:
          type: string
          x-order: '2'
          example: '1234567890'
        unit_price:
          type: number
          x-order: '3'
          example: 100
        shipped_quantity:
          type: integer
          x-order: '4'
          example: 0
        invoiced_quantity:
          type: integer
          x-order: '5'
          example: 0
        cancelled_quantity:
          type: integer
          x-order: '6'
          example: 0
        picked_quantity:
          type: integer
          x-order: '7'
          example: 0
        discount:
          type: number
          x-order: '8'
          example: 0
        discount_type:
          type: string
          enum:
            - percentage
            - value
          x-order: '9'
          example: percentage
        note:
          type: string
          maxLength: 255
          x-order: '10'
          example: Extra packing material
        is_adhoc:
          type: boolean
          x-order: '11'
          example: false
    dtos.OrderAddressResponse:
      type: object
      properties:
        id:
          type: string
          x-order: '1'
          example: 12345678-90ab-cdef-1234-567890abcdef
        first_name:
          type: string
          x-order: '2'
          example: John
        last_name:
          type: string
          x-order: '3'
          example: Doe
        phone:
          type: string
          x-order: '4'
          example: '+14155552671'
        email:
          type: string
          x-order: '5'
          example: john.doe@example.com
        address_line_1:
          type: string
          x-order: '6'
          example: 123 Main St
        address_line_2:
          type: string
          x-order: '7'
          example: Apt 101
        city:
          type: string
          x-order: '8'
          example: Anytown
        state:
          type: string
          x-order: '9'
          example: CA
        country:
          type: string
          x-order: '10'
          example: US
        zip_code:
          type: string
          x-order: '11'
          example: '12345'
    dtos.OrderContactResponse:
      type: object
      properties:
        id:
          type: string
          x-order: '1'
          example: 12345678-90ab-cdef-1234-567890abcdef
        first_name:
          type: string
          x-order: '2'
          example: John
        last_name:
          type: string
          x-order: '3'
          example: Doe
        email:
          type: string
          x-order: '4'
          example: john.doe@example.com
        phone:
          type: string
          x-order: '5'
          example: '+14155552671'
        designation:
          type: string
          x-order: '6'
          example: Sales Manager
    dtos.OrderChargesResponse:
      type: object
      properties:
        name:
          type: string
          x-order: '1'
          example: shipping
        type:
          type: string
          x-order: '2'
          example: shipping
        value_type:
          type: string
          enum:
            - percentage
            - value
          x-order: '3'
          example: percentage
        amount:
          type: number
          x-order: '4'
          example: 100
    dtos.ContainerInfoResponse:
      type: object
      required:
        - key
        - unit
        - volume
      properties:
        name:
          type: string
          maxLength: 255
          x-order: '1'
          example: Container Name
        key:
          type: string
          maxLength: 255
          x-order: '2'
          example: 40ft_hig
        unit:
          type: string
          enum:
            - CFT
            - CBM
          x-order: '3'
          example: CFT
        volume:
          type: number
          x-order: '4'
          example: 100
    dtos.CustomerConsentResponse:
      type: object
      properties:
        has_consent:
          type: boolean
          x-order: '1'
          example: true
        consent_file_id:
          type: string
          x-order: '2'
          example: '1234567890'
    attribute.AttributeValueResponse:
      type: object
      properties:
        id:
          type: string
          x-order: '1'
          example: 01f5d171-d3e3-4b2b-bd57-0727194b5bed
        name:
          type: string
          x-order: '2'
          example: Color
        value:
          type: string
          x-order: '3'
          example: Red
        created_by:
          type: string
          x-order: '4'
          example: 01f5d171-d3e3-4b2b-bd57-0727194b5bed
        updated_by:
          type: string
          x-order: '5'
          example: 01f5d171-d3e3-4b2b-bd57-0727194b5bed
        created_at:
          type: string
          x-order: '6'
          example: '2021-01-01T00:00:00Z'
        updated_at:
          type: string
          x-order: '7'
          example: '2021-01-01T00:00:00Z'
    dtos.PaymentCardResponse:
      type: object
      properties:
        id:
          type: string
          x-order: '1'
          example: 01f5d171-d3e3-4b2b-bd57-0727194b5bed
        token:
          type: string
          x-order: '2'
          example: PIuTv1UgBqESZ2KRDixPtDJt
        payment_method_type:
          type: string
          x-order: '3'
          example: card
        brand:
          type: string
          x-order: '4'
          example: visa
        card_type:
          type: string
          x-order: '5'
          example: debit
        last_four_digits:
          type: string
          x-order: '6'
          example: '1111'
        card_exp:
          type: string
          x-order: '7'
          example: 09/25
        external_customer_id:
          type: string
          x-order: '8'
          example: cus_1234567890
    errors.HttpErrorDetails:
      type: object
      properties:
        field:
          type: string
          x-order: '1'
        reason:
          type: string
          x-order: '2'
  securitySchemes:
    ApiKeyAuth:
      description: API Key for authentication
      type: apiKey
      name: X-API-Key
      in: header

````